Description

The following (C5 input) provokes a SERIOUS error

K := NewRingTwinFloat(1024);

Ka ::= K[a[1]];

Coeffs := NewFractionField(Ka);

R ::= Coeffs[x,y];

Use R;

f := x^4 + 2*x^3 + 4*/*a[2]*/x^2 + a[1]*x^1 + /*a[0]*/x^0;

j := elim([x], Ideal(f,subst(f,x,x*y)));

simpler example: see #2    

The fn throwing is RingTwinFloatImpl::myCompose

History

#1 - 05 May 2014 19:46 - John Abbott

I tried the same input with lower precisions and got InsuffPrec errors; but when I quit CoCoA-5 there were quite a few malloc errors!

#2 - 06 May 2014 11:37 - Anna Maria Bigatti

simpler example:  both NewFractionField and NewRingTwinFloat seems necessary to trigger the error

K := NewFractionField(NewPolyRing(NewRingTwinFloat(1024), ["a"]));

Use R ::= K[x,y];

f := x + 1;

I := Ideal(f, subst(f,x,x*y)); I;

j := elim([x], I);

#3 - 06 May 2014 11:41 - Anna Maria Bigatti

- Subject changed from SERIOUS: elim using RingTwinFloat to elim using RingTwinFloat triggers error "SERIOUS"

#4 - 15 Jun 2016 14:35 - John Abbott

I have confirmed that both examples still trigger ERR::SERIOUS with 5.1.5 on CoCoALib 0.99543.
